Package: org.gradle.tooling.events.task

## [Java] Interface TaskProgressEvent

- org.gradle.tooling.events.task.TaskProgressEvent

- All Superinterfaces:
    ProgressEvent

  Root interface for all events that signal progress while executing a task.

  Since:
    2.5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `TaskOperationDescriptor` | `getDescriptor()` Returns the description of the task for which progress is reported.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ProgressEvent` | `getDescriptor, getDisplayName, getEventTime`

- - ### Method Detail

    - #### @Override public TaskOperationDescriptor getDescriptor()

      Returns the description of the task for which progress is reported.

      Returns:
        The description of the underlying task operation.